
Foreman - Bug #37011

Ubuntu 22.04.3 needs adaption user-data template

12/21/2023 02:29 PM - Tim Eilers

Status: Closed   

Priority: Normal   

Assignee:    

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases: 3.11.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/10048

  

Description

Due to recent changes in the user-data schema, the ssh_authorized_keys requires a minimum of 1 item, if the attribute is given, see: 

https://github.com/canonical/cloud-init/blob/main/cloudinit/config/schemas/schema-cloud-config-v1.json#L272

This conflicts with an empty array, which is set here if no keys are configured for the specific system-to-be-installed - see here: 

https://github.com/theforeman/foreman/blob/develop/app/views/unattended/provisioning_templates/user_data/preseed_autoinstall_cl

oud_init.erb#L59

Also "lock-passwd" (here: 

https://github.com/theforeman/foreman/blob/develop/app/views/unattended/provisioning_templates/user_data/preseed_autoinstall_cl

oud_init.erb#L50) should be changed to "lock_passwd", because the first one is deprecated (see here: 

https://github.com/canonical/cloud-init/blob/main/cloudinit/config/schemas/schema-cloud-config-v1.json#L208).

I modified both in a copied template and only with these changes i could succesfully install an Ubuntu 22.04.3

Associated revisions

Revision 2836e938 - 03/01/2024 09:47 AM - Bastian Schmidt

Fixes #37011 - Apply latest Ubuntu Autoinstall userdata changes

Add explicit fallback for offline installation

Replace deprecated lock-passwd with lock_passwd

Remove empty ssh keys array if none provided

History

#1 - 02/14/2024 09:39 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/10048 added

#2 - 03/01/2024 09:47 AM - The Foreman Bot

- Fixed in Releases 3.11.0 added

#3 - 03/01/2024 10:00 AM - Bastian Schmidt

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|2836e9387420911fee0320d4c79d56f53c43bd58.
